# Uses of Class
org.apache.lucene.queryparser.flexible.core.config.FieldConfig

Packages that use FieldConfig
Package
Description
org.apache.lucene.queryparser.flexible.core.config
Base classes used to configure the query processing.
org.apache.lucene.queryparser.flexible.standard.config
Standard Lucene Query Configuration.

- ## Uses of FieldConfig in org.apache.lucene.queryparser.flexible.core.config

  Methods in org.apache.lucene.queryparser.flexible.core.config that return FieldConfig
  Modifier and Type
  Method
  Description
  `FieldConfig`
  QueryConfigHandler.`getFieldConfig(String fieldName)`
  Returns an implementation of `FieldConfig` for a specific field name.
  Methods in org.apache.lucene.queryparser.flexible.core.config with parameters of type FieldConfig
  Modifier and Type
  Method
  Description
  `void`
  FieldConfigListener.`buildFieldConfig(FieldConfig fieldConfig)`
  This method is called ever time a field configuration is requested.

- ## Uses of FieldConfig in org.apache.lucene.queryparser.flexible.standard.config

  Methods in org.apache.lucene.queryparser.flexible.standard.config with parameters of type FieldConfig
  Modifier and Type
  Method
  Description
  `void`
  FieldBoostMapFCListener.`buildFieldConfig(FieldConfig fieldConfig)`
  `void`
  FieldDateResolutionFCListener.`buildFieldConfig(FieldConfig fieldConfig)`
  `void`
  PointsConfigListener.`buildFieldConfig(FieldConfig fieldConfig)`